/* 

--- 01 TYPOGRAPHY

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font Weights:
Default: 400px
Medium: 500
Semi-bold: 600
Bold: 700

- Line Heights:
Default: 1;
Small: 1.05
Paragraph default: 1.6

--Letter spacing
-0.5px
1px


--- 02 COLORS
- Primary: #ffae00;
- Tints:  #ffefcc   #ffe7b3
- Shades: #e69d00
- Accents: 
- Greys: #555 #333

--- 05 SHADOWS
  0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);


--- 06 BORDER RADIUS
Default: 9px

--- 07 WHITESPACE
- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128


*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px */
  /* 10px / 16px = 0.625 = 62.5% */
  font-size: 62.5%;
  overflow-x: hidden;
}
body {
  font-family: 'Raleway', sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  overflow-x: hidden;
}

/*******************/
/* General Reusable Components */
/*******************/

.container {
  max-width: 120rem;
  margin: 0 3.2rem;
  margin: 0 auto;
}

.flex--center {
  display: flex;
  justify-content: center;
}

.grid {
  display: grid;
  row-gap: 9.6rem;
  column-gap: 6.4rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}
.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}

.grid--center-v {
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  color: #333;
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1;
  margin-bottom: 9.6rem;
}

.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.subheading {
  display: block;
  font-size: 2.4rem;
  font-weight: 500;
  color: #e69d00;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 1px;
}
.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  color: #fff;
  text-decoration: none;
  font-size: 2rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  border-radius: 10px;
  border: none;
  cursor: pointer;
  font-family: inherit;
  /* transition: background-color 0.3s; */
  transition: all 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: #ffae00;
  color: #fff;
}

.btn--full:hover,
.btn--full:active {
  background-color: #e69d00;
}

.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}

.btn--outline:hover,
.btn--outline:active {
  background-color: #ffefcc;
  /* Add border inside */
  box-shadow: inset 0 0 0 3px #fff;
}

.btn--form {
  color: #ffefcc;
  background-color: #4c3400;
  padding: 1.2rem;
}
.btn--form:hover {
  background-color: #fff;
  color: #555;
}

*:focus {
  outline: none;
  /* outline: 4px dotted #e69d00;
  outline-offset: 4px; */
  box-shadow: 0 0 0 0.4rem rgba(51, 35, 0, 0.429);
}

.margin-right-sm {
  margin-right: 1.6rem !important;
}

.margin-top-sm {
  margin-top: 1.8rem;
}

.margin-top-md {
  margin-top: 3.2rem;
}

.margin-top-bg {
  margin-top: 12rem;
}

.orange {
  color: #e69d00 !important;
}

.link-in-text {
  text-decoration: none;
  transition: all 0.3s;
  color: #e69d00;
}

.link-in-text:hover,
.link-in-text:active {
  color: #555;
}

.link-in-text-grey {
  text-decoration: none;
  transition: all 0.3s;
  color: #555;
}

.link-in-text-grey:hover,
.link-in-text-grey:active {
  color: #e69d00;
}

.max-width-80 {
  max-width: 80%;
}

.img-article {
  display: flex;
  margin: 3.2rem auto 1.2rem;
  max-width: 40%;
  border-radius: 10px;
}

.bld{
font-weight: bold;
    

}
